# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'karrierwave/version'

Gem::Specification.new do |spec|
  spec.name          = 'karrierwave'
  spec.version       = KarrierWave::VERSION
  spec.authors       = ['Hoseong Hwang']
  spec.email         = ['thefron@ultracaption.net']
  spec.summary       = %q{Adds KAGE support to ActiveRecord}
  spec.description   = %q{Adds KAGE support to ActiveRecord}
  spec.homepage      = 'https://github.com/ultracaption/kage-ruby'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday'
  spec.add_dependency 'activesupport'
  spec.add_dependency 'activerecord'
  spec.add_dependency 'json'
  spec.add_dependency 'mime-types'

  spec.add_development_dependency 'appraisal'
  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.1'
  spec.add_development_dependency 'sqlite3'
  spec.add_development_dependency 'database_cleaner'
end
